Browser / OS not supported
You're using an Operating System and/or Browser that is not presently supported by the Block Live application.

Block Live supports the following Operating systems and Browser combinations.
WINXP:
  • Internet Explorer 7.0 and above
  • Mozilla FireFox 8.0 and above
  • Google Chrome 14 and above
Windows Vista:
  • Internet Explorer 8.0 and above
  • Mozilla FireFox 8.0 and above
  • Google Chrome 16 and above
Windows 7:
  • Internet Explorer 8.0 and above
  • Mozilla FireFox 8.0 and above
  • Google Chrome 14 and above
Windows 8:
  • Internet Explorer 8.0 and above
  • Mozilla FireFox 8.0 and above
  • Google Chrome 16 and above
MAC OS 10.5:
  • Mozilla FireFox 8.0 and above
  • Safari 5 and above
  • Google Chrome 16 and above
MAC OS 10.6:
  • Mozilla FireFox 8.0 and above
  • Safari 5 and above
  • Google Chrome 16 and above
MAC OS 10.7:
  • Mozilla FireFox 8.0 and above
  • Safari 5 and above
  • Google Chrome 16 and above
MAC OS 10.8:
  • Mozilla FireFox 8.0 and above
  • Safari 5 and above
  • Google Chrome 16 and above
 
Adobe Flash Player and Acrobat plugin Required You will also need the Adobe Flash Player plugin.

 
Print these instructions